Skip to Content
Hive
API Referencev1Circuits

Get all Circuits

GET
/v1/circuits/

Retrieve the complete list of circuits.

Response Body

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.eis.it/v1/circuits/'
Example Response
[  {    "id": 0,    "supplierId": "string",    "supplierProcedureId": "string",    "resourceId": "string",    "accountSupplier": "string",    "insertDate": "string",    "dad": "string",    "appointmentDate": "string",    "type": "string",    "completeDate": "string",    "residentialContext": "string",    "stair": "string",    "floor": "string",    "unit": "string",    "idBuilding": "string",    "egonCode": "string",    "timeSlot": "string",    "firtNameRef": "string",    "lastNameRef": "string",    "fixedNumberRef": "string",    "mobileNumberRef": "string",    "emailRef": "string",    "productName": "string",    "koHistory": "string",    "cow": "string",    "cor": "string",    "cos": "string",    "contrChar": "string",    "donating": "string",    "donatingSocieta": "string",    "publicIpv4": true,    "publicIpv6": true,    "organization": {      "organizationId": 0,      "userId": 0,      "userName": "string",      "createDate": "string",      "modifiedDate": "string",      "parentOrganizationId": 0,      "name": "string",      "type_": "string",      "sbcId": 0,      "documentation_URL": "string",      "support_URL": "string",      "status_URL": "string",      "redirect_URL": "string",      "notificationEmailFromAddress": "string",      "customerId": "string"    },    "user": {      "userId": 0,      "ssoId": "string",      "createDate": "string",      "modifiedDate": "string",      "emailAddress": "string",      "firstName": "string",      "lastName": "string",      "hasToChangePassword": true,      "type": {        "id": 0,        "name": "string"      },      "organizationId": 0,      "parentOrganizationId": 0,      "organizationName": "string"    },    "customer": {      "id": 0,      "organizationId": 0,      "name": "string",      "ragioneSociale": "string",      "rappresentante": "string",      "indirizzo": "string",      "civico": "string",      "indSedLeg": "string",      "civicoSedLeg": "string",      "comuneSedLeg": "string",      "provinciaSedLeg": "string",      "regioneSedLeg": "string",      "capSedLeg": "string",      "comune": "string",      "provincia": "string",      "regione": "string",      "cap": "string",      "tel": "string",      "fiscalCode": "string",      "isActive": "string",      "userid": 0,      "customerPortal": true,      "associated_users": [],      "piva": "string",      "ptoponomastica": "string"    },    "status": {      "id": 0,      "code": "string",      "description": "string",      "finishStatus": true    },    "profile": {      "id": 0,      "serviceList": {        "id": 0,        "name": "string",        "serviceProvider": {          "id": 0,          "description": "string"        },        "carrier": {          "id": 0,          "name": "string"        },        "type": {          "id": 0,          "name": "string"        },        "supplierProductId": "string"      },      "organizationId": 0,      "integration": {        "id": 0,        "name": "string"      },      "name": "string",      "forDirect": true,      "forSub": true,      "carrierType": "string",      "offsetDays": 0    },    "mcr": {      "id": 0,      "name": "string",      "forDirect": true,      "forSub": true,      "type": "string",      "serviceOption": {        "id": 0,        "name": "string"      },      "serviceOrg": {        "id": 0,        "name": "string"      },      "organization": {        "organizationId": 0,        "name": "string"      }    },    "sla": {      "id": 0,      "name": "string",      "forDirect": true,      "forSub": true,      "type": "string",      "serviceOption": {        "id": 0,        "name": "string"      },      "serviceOrg": {        "id": 0,        "name": "string"      },      "organization": {        "organizationId": 0,        "name": "string"      }    },    "drt": {      "id": 0,      "name": "string",      "forDirect": true,      "forSub": true,      "type": "string",      "serviceOption": {        "id": 0,        "name": "string"      },      "serviceOrg": {        "id": 0,        "name": "string"      },      "organization": {        "organizationId": 0,        "name": "string"      }    },    "ipV4": {      "id": 0,      "serviceList": {        "id": 0,        "name": "string",        "serviceProvider": {          "id": 0,          "name": "string",          "description": "string"        },        "carrier": {          "id": 0,          "name": "string"        },        "type": {          "id": 0,          "name": "string"        },        "supplierProductId": "string"      },      "organizationId": 0,      "integration": {        "id": 0,        "name": "string"      },      "name": "string",      "forDirect": true,      "forSub": true,      "carrierType": "string",      "offsetDays": 0,      "attributes": {}    },    "ipV6": {      "id": 0,      "serviceList": {        "id": 0,        "name": "string",        "serviceProvider": {          "id": 0,          "name": "string",          "description": "string"        },        "carrier": {          "id": 0,          "name": "string"        },        "type": {          "id": 0,          "name": "string"        },        "supplierProductId": "string"      },      "organizationId": 0,      "integration": {        "id": 0,        "name": "string"      },      "name": "string",      "forDirect": true,      "forSub": true,      "carrierType": "string",      "offsetDays": 0,      "attributes": {}    }  }]